QUAKE3-SERVER(6)

NAME
quake3-server - Quake III Arena dedicated server

SYNOPSIS
quake3-server [-h|--help] [-q|--quiet] [+set option value]...

DESCRIPTION
quake3-server is the dedicated server for Quake III Arena, a multiplayer network game.

OPTIONS
The wrapper script used for Quake III Arena in Debian accepts these options:

-h, --help
    Display a short help summary

-q, --quiet
    Disable all output

Any console command can also be prefixed with + and used as a command-line option (run the server in a terminal to use the console). The +set command is generally the most useful to use on the command line.

Options that can be set with +set (note that this is not a full list!) include:

capturelimit <value>

dedicated <bool>

fraglimit <value>

fs_basepath <string>

fs_game <value>

g_allowVote <bool>

g_banIPs <IP address>

g_doWarmup <bool>

g_friendlyFire <bool>

g_gametype <bool>

g_gravity <value>

g_inactivity <value>

g_maxGameClients <value>

g_motd <string>

g_needpass <bool>

g_password <string>

g_quadfactor <value>

g_weaponrespawn <value>

net_ip <IP adress>

net_port <value>

net_qport <value>

nextmap <string>

sv_allowDownload <bool>

sv_floodProtect <bool>

sv_fps <value>

sv_hostname <string>

sv_maxclients <value>

sv_maxPing <value> (Measurd in milliseconds)

sv_minPing <value> (Measurd in milliseconds)

sv_pure <bool>

timelimit <value> (Measured in minutes)

FILES

~/.q3a/baseq3
    Configuration and state for Quake III Arena

~/.q3a/missionpack
    Configuration and state for Quake III: Team Arena, if installed

ENVIRONMENT
The wrapper script used to launch Quake III Arena allows it to be debugged by setting environment variables.

QUAKE3_DEBUGGER=command
    A debugger or other prefix to prepend to the Quake III command line, such as strace; overridden by QUAKE3_BACKTRACE

QUAKE3_BACKTRACE=1
    Use gdb(1) to get a backtrace if Quake III crashes (the gdb package must be installed)

SEE ALSO
quake3(6), ioq3ded(6)

AUTHOR
The Quake III server binary used is a modified ioQuake3; originally created by Id Software, now maintained by the ioQuake3 community.

This manual page was written by Jack "jscinoz" Coulter <jscinoz@gmail.com>, Bruno "Fuddl" Kleinert <fuddl@gmx.de> and Simon McVittie <smcv@debian.org> for the Debian project (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2, or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.